#include <stdio.h>
#include <stdlib.h>

int main()
{
    unsigned long int k;
    int i;
    scanf("%d", &k);
    printf("%d\n", 4);
    for(i=0; i<4;i++){
        printf("%d %d\n", i, i);
    }
    return 0;
}